local ServerTrendsInfoMessage = BaseClass("ServerTrendsInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, message)
  base.HandleMessage(self, message)
  local errCode = message.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.WorldTrendManager:UpdateWorldTrendData(message)
  end
end
ServerTrendsInfoMessage.OnCreate = OnCreate
ServerTrendsInfoMessage.HandleMessage = HandleMessage
return ServerTrendsInfoMessage
